Option Strict Off
Option Explicit On
Friend Class clsWarnedItems
	
	'local variable to hold collection
	Private mCol As Collection
	
	
	Public Function Add(ByRef Name As String) As clsItem
		Dim objNewMember As New clsItem
		
		
		'set the properties passed into the method
        objNewMember.Name = Name
		
		' Add the object to the collection
		mCol.Add(objNewMember)
		
		'return the object created
		Add = objNewMember
        objNewMember = Nothing
	End Function
	
	Public ReadOnly Property Item(ByVal vntIndexKey As Object) As clsItem
		Get
			Item = mCol.Item(vntIndexKey)
		End Get
	End Property
	
	Public ReadOnly Property Count() As Integer
		Get
			Count = mCol.Count()
		End Get
	End Property
	
    Public Sub New()
        MyBase.New()
        mCol = New Collection

    End Sub
	
    Protected Overrides Sub Finalize()
        mCol = Nothing
        MyBase.Finalize()
    End Sub
End Class